<?php
#-----------------------------------------------------------------------
# display source of script if requested so
#-----------------------------------------------------------------------
if (isset($_REQUEST['sce']) && strtolower($_REQUEST['sce']) == 'view' ) {
   $filenameReal = __FILE__;
   $download_size = filesize($filenameReal);
   header('Pragma: public');
   header('Cache-Control: private');
   header('Cache-Control: no-cache, must-revalidate');
   header("Content-type: text/plain");
   header("Accept-Ranges: bytes");
   header("Content-Length: $download_size");
   header('Connection: close');
   readfile($filenameReal);
   exit;
}
$pageName	= 'wsDashYowindow.php';
if (!isset($SITE)){echo "<h3>invalid call to $pageName <h3>"; exit;}	//  page to load without menu system//
$pageVersion	= '3.02 2014-12-11';
$SITE['wsModules'][$pageName] = 'version: ' . $pageVersion;
$pageFile = basename(__FILE__);			// check to see this is the real script
if ($pageFile <> $pageName) {
	$SITE['wsModules'][$pageFile]	= 'this file loaded instead of '.$pageName;
}
echo '<!-- module '.$pageFile.' ==== '.$SITE['wsModules'][$pageFile]." -->".PHP_EOL;
#-----------------------------------------------------------------------------------------
# 3.00  2014-09-12      Yowindow based on latitude longitude 
# 3.01  2014-11-19      adde background town (still in beta at yowindow)
# 3.02  2014-12-11      removed latitude longitude and inserted geonames again.
# ----------------------------------------------------------------------------------------
# Settings
#-----------------------------------------------------------------------------------------
#
# 	to learn about the yowindow gadget  go to : http://yowindow.com/ for more information
#	we need a free key of our city to use the gadget
# 	look at:  http://yowindow.com/id  to get that numeric city number example:  2792482=herent, 2783612=wilsele
#
$YoWindowPlaceID= '2792482'; // '2783612';
#
#$yoLandscape	= 'seaside';            // select the landscape by removing the commment mark # at one landscape  only
$yoLandscape	= 'oriental';           // put the comment mark # at the unwanted landscapes
#$yoLandscape	= 'village';
#$yoLandscape	= 'airport';
#$yoLandscape	= 'town';               // watch out in Beta at yowindow 2014-11-18
#
$yoHeight	= '300px';              // normally leave as is
#-----------------------------------------------------------------------------------------
# folowing lines put a meteogram begind the youwindow gadget for visitors without flash support
include ('img/avansertYrno3.php');
echo '<div style="background-color: grey; vertical-align: top; ">
 <!-- put yr.no static picture here -->
 <div id="yowidget"  style="height:'.$yoHeight.';overflow: hidden; ">
  <a href="http://www.yr.no/place/'.$SITE['yrnoID'].'" target="_blank" title="Vooruitzichten scandinavische leveranciers yr.no">
   <img src="'.$im.'" alt="  " style=" width: 100%; height:'.$yoHeight.'; vertical-align: top;"/>
  </a>
 </div>'.PHP_EOL;

echo  ' <!-- put yowindow dynamic picture here -->'.PHP_EOL;
if (!isset ($yoLandscape) ) {$yoLandscape = 'village';}

# documentation for units and yowindow on this page  http://yowindow.com/widget_parameters.php
# temp
if ($SITE['uomTemp'] == '&deg;C') {$yrnoTemp = 'c';} else {$yrnoTemp = 'f';}
# wind
$uom            = strtolower (trim($SITE['uomWind']) );
$from           = array (' ',   '&nbsp;','km/h','kts'   ,'m/s'  ,'mph'); 
$to             = array ('',    '',      'kph', 'knot'  ,'mps'  ,'mph' );
$yrnoWind       = str_replace ($from,  $to, $uom );
# pressure
$uom            = strtolower (trim($SITE['uomBaro']) );
$from           = array (' ',   '&nbsp;','hpa', 'mb',   'inhg'); 
$to             = array ('',    '',      'hpa', 'mbar', 'in');
$yrnoBaro       = str_replace ($from,  $to, $uom);
# rain
$uom            = strtolower (trim($SITE['uomRain']) );
$from           = array (' ', '&nbsp;');
$yrnoRain       = str_replace ($from,  '', $uom );
if (trim($yrnoRain) == 'mm') {$yrnoRain = 'mm';} else {$yrnoRain = 'in';}
# distance
$uom            = strtolower (trim($SITE['uomDistance']) );
$from           = array (' ', '&nbsp;');
$yrnoDist       = str_replace ($from,  '', $uom );
if (trim($yrnoDist)  == 'km') {$yrnoDist = 'km';} else {$yrnoDist = 'mile';}
# check for yrno xml file
if (isset($SITE['yrnoXmlName']) ) {$url = trim($SITE['yrnoXmlName']);} else {$url = '';}
# set 12 or 24 hour display
if (isset($SITE['hourDisplay']) && trim($SITE['hourDisplay']) == '12') {$time_format = '12'; } else {$time_format = '24'; }
# UV
if (isset($SITE["UV"]) && $SITE["UV"]) {$yoUV = '1';} else {$yoUV = '0';}
#
if (isset($SITE['YoWindowPlaceID']) ) {
        $location_id    ='location_id:  "'.$SITE['YoWindowPlaceID'].'",';
} elseif (isset($YoWindowPlaceID) ) {
        $location_id    ='location_id:  "'.$YoWindowPlaceID.'",';
} else {
        $location_id    =
'lat: "'.$SITE['latitude'].'",
      lon: "'.$SITE['longitude'].'",';
}
echo '
<script type="text/javascript" src="javaScripts/swfobject.js"></script>
<script type="text/javascript">
    var flashvars = {
      '.$location_id.'
      location_name: "'.$SITE['organ'].'",
      current_weather_url: "'.$url.'",
      time_format: "'.$time_format.'",
      us: "custom",
      u_temperature: "'.$yrnoTemp.'",
      u_wind_speed: "'.$yrnoWind.'",
      u_pressure: "'.$yrnoBaro.'",
      u_distance: "'.$yrnoDist.'",
      u_rain_rate: "'.$yrnoRain.'",
      lang: "'.$lang.'",
      background: "transparent",
      copyright_bar: false,
      fp_day_count: 8,
      landscape: "'.$yoLandscape.'",
      i_uv: '.$yoUV.',
      current_weather_icao: "'.$SITE['METAR'].'" 
   };
    var params = {
      quality: "high",
      bgcolor: "#FFFFFF",
      allowscriptaccess: "always",
      allowfullscreen: "true",
      menu: "false",
      wmode: "window",   
    };
    var attributes = {
       id:"yowidget",
       align: "top",
       name:"yowidget"
    };
    swfobject.embedSWF(
       "http://swf.yowindow.com/yowidget3.swf",
       "yowidget", 
       "100%", 
       "'.$yoHeight.'",
       "9.0.0",
       "expressInstall.swf",
       flashvars,
       params,
       attributes
    );
</script>
';
echo '
</div>'.PHP_EOL;
echo '<!-- end of Yowindow -->'.PHP_EOL;
?>